> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> 組織内のすべてのシークレットのメタデータ一覧を取得します。シークレットの値自体は返しません。

# シークレットの一覧を表示



## OpenAPI

````yaml ja/v1-openapi.yaml GET /v1/secrets
openapi: 3.1.0
info:
  description: Personal APIキーおよびService APIキーに対応するDevin v1 API
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/secrets:
    get:
      summary: シークレットの一覧を表示
      description: 組織のすべてのシークレットを一覧表示します。シークレットの値ではなく、メタデータのみを返します。
      operationId: get_secrets_v1_secrets_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SecretMetadata'
                title: Response Get Secrets V1 Secrets Get
                type: array
          description: 成功時のレスポンス
components:
  schemas:
    SecretMetadata:
      description: 保存済みシークレットのメタデータ。
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        id:
          title: Id
          type: string
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        type:
          enum:
            - cookie
            - key-value
            - dictionary
            - totp
          title: Type
          type: string
      required:
        - id
        - type
      title: SecretMetadata
      type: object
  securitySchemes:
    bearerAuth:
      description: 個人用APIキー (apk_user_\*) またはサービス用APIキー (apk_\*)
      scheme: bearer
      type: http

````